.banner-component {
    overflow: hidden;
    position: relative;
}

.banner-component .text-box {
    width: 50%;
    min-height: 537px;
    padding-top: 41px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.banner-component .text-box .headline {
    margin-bottom: 30px;
}

.banner-component .text-box .text {
    margin-bottom: 30px;
    font-size: 22px;
    max-width: 495px;
    -webkit-line-clamp: 8;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    white-space: normal;
    overflow: hidden;
}

.banner-component .text-box .button {
    min-width: 159px;
    margin-top: 27px;
    width: fit-content;
}

.banner-component .image-box {
    position: absolute;
    top: 80px;
    right: 0;
    height: 0;
    padding-bottom: 45.5%;
    width: 48%;
    font-size: 0;
    line-height: 0;
}

.banner-component .image-box img {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

@media only screen and (max-width: 1360px) {
    .banner-component .text-box .text {
        margin-bottom: 20px;
        font-size: 20px;
    }

    .banner-component .text-box .button {
        min-width: initial;
    }
}

@media only screen and (max-width: 1024px) {

    .banner-component {
        margin-top: 80px;
    }

    .banner-component .image-box:before {
        content: '';
        position: absolute;
        left: 0;
        bottom: 0;
        width: 100%;
        height: 100%;
        z-index: 1;
        background-image: linear-gradient(to top,var(--rich-black), transparent);
    }

    .banner-component .image-box {
        width: 100%;
        height: 100%;
        bottom: 0;
        padding: 0;
        top: 0;
    }

    .banner-component .text-box {
        min-height: 0;
        width: 100%;
        padding-top: 180px;
        padding-bottom: 110px;
        position: relative;
        z-index: 2;
        color: var(--white);
    }
}

@media only screen and (max-width: 1024px) {
    .banner-component {
        margin-top: 56px;
    }
}
